#
# spec file for package python-yamlloader
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-yamlloader
Version:        1.4.1
Release:        1.3
License:        MIT
Summary:        Ordered YAML loader and dumper for PyYAML
URL:            https://github.com/Phynix/yamlloader
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/y/yamlloader/yamlloader-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
This module provides loaders and dumpers for PyYAML. Currently, an
OrderedDict loader/dumper is implemented, allowing to keep items order
when loading resp. dumping a file from/to an OrderedDict (Python 3.7:
Also regular dicts are supported and are the default items to be loaded
to. As of Python 3.7 preservation of insertion order is a language
feature of regular dicts.)

[API Documentation](https://phynix.github.io/yamlloader/index.html).

%prep
%setup -q -n yamlloader-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# there are no tests at all. Sorry.

%files %{python_files}
%{python_sitelib}/*

%changelog
* Thu May  2 2024 Dirk Müller <dmueller@suse.com>
- update to 1.4.1:
  * Fix name of `ConstructorError`
  * enh: add python 3.12, cleanup
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 1.3.2:
  * Python 3.11 upgrade, drop 3.7 (use old version < 1.3 if
    desired in Python 3.7)
* Wed Dec  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.2.2
  * release: 1.2.2 add Python 3.11 support
- Update to version 1.2.1
  * Merge pull request #38 from Phynix/python311
  * WIP: Update ci.yml
* Sat Oct 16 2021 Dirk Müller <dmueller@suse.com>
- update to 1.1.0:
  * format to black
  * Changed imports of own modules to be relative
* Thu Apr 22 2021 Dirk Müller <dmueller@suse.com>
- update to 1.0.0:
  * First stable release.
  * Main change is that it returns always an OrderedDict, even for Python >=
    3.7 for consistency
- remove happy_utf8.patch: upstream
* Mon Dec  9 2019 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for yamlloader 0.5.5
- Add happy_utf8.patch to make package buildable with Python 3.6
  as well. gh#Phynix/yamlloader#16
